#ifndef _CCU_H_
#define _CCU_H_

#include "./config.h"
#include "./pcs.h"

#define CCU_PCS_NUM 	4

#pragma pack(2)

typedef struct __CCU_AI__ {
	sPCSAI pcs[CCU_PCS_NUM];
}sCCUAI;

typedef struct __CCU_AO__ {
	sPCSAO pcs[CCU_PCS_NUM];
}sCCUAO;
#pragma pack()

typedef struct __CCU__ {
	uint16_t status ;

	sCCUConfig cfg ;

	int aiLength;
	int aoLength;

	sCCUAO sendToAo;
	sCCUAO recvFromAo;
    sCCUAI recvFromAi;

	struct __CCU__ *next;
	struct __CCU__ *prev;
}sCCU;


#endif

