#ifndef _PCS_H_
#define _PCS_H_

#include <stdint.h>

#pragma pack(2)

typedef struct __PCS_AI__ {
	//PCS 总有功功率
	int16_t active_power;

	//PCS 总无功功率
	int16_t reactive_power;

	//PCS 运行状态
	uint16_t status;

	//PCS 最大可充功率
	uint8_t max_chargable_power;

	//PCS 最大可放功率
	uint8_t max_dischargable_power;
}sPCSAI;

typedef struct __PCS_AO__ {
	//PCS有功功率设定值
	int16_t active_power_settings;

	//PCS无功功率设定值
	int16_t reactive_power_settings;
}sPCSAO;

#pragma pack()

#endif

