

#include <iostream>
#include "../include/ECatMain.h"
#include "../include/parsexml.h"


ECatMain::ECatMain()
{

}

ECatMain::~ECatMain()
{

}



int ECatMain::loadConfig(const char *xml) {
	parse_xml(xml, &mData);
	return 1;
}




sECatData *ECatMain::getData(void) {
	return &mData;
}


sEAU *ECatMain::getEAUByAddress(int para_addr)
{
	for(int i = 0 ; i < mData.eauIndex ; i++)
	{
		if(mData.eauArray[i]->address == (uint16_t)para_addr) 
		{
			return mData.eauArray[i] ;
		}
	}

	return NULL ;
}

sCCU *ECatMain::getCCUByAddress(int para_addr)
{
	for(int i = 0 ; i < mData.ccuIndex ; i++)
	{
		if(mData.ccuArray[i]->cfg.address == para_addr)
		{
			return mData.ccuArray[i] ;
		}
	}
	return NULL ;
}
