

#include "../include/lock.h"


#include<iostream>
#include <stdlib.h>
#include <unistd.h>
#include <pthread.h>
#include <string.h>
using namespace std;

pthread_mutex_t mutex_ecm;
pthread_mutex_t mutex_hmi;
pthread_mutex_t mutex_ems_modbus;
pthread_mutex_t mutex_ems_104;
pthread_mutex_t mutex_transmit ;

void lock_init(void) {
	int ret;
	ret = pthread_mutex_init(&mutex_ecm, NULL);
	if(ret == 0) {
		printf("ecm lock ok\n");
	}else{
		printf("### ERR: ecm lock fail\n"); 
		while(1);
	}
	ret = pthread_mutex_init(&mutex_ems_modbus, NULL);
	if(ret == 0) {
		printf("ems_modbus lock ok\n");
	}else{
		printf("### ERR: ems_modbus lock fail\n");
		while(1);
	}

	ret = pthread_mutex_init(&mutex_ems_104, NULL);
	if(ret == 0) {
		printf("ems_104 lock ok\n");
	}else{
		printf("### ERR: ems_104 lock fail\n");
		while(1);
	}

	ret = pthread_mutex_init(&mutex_hmi, NULL);
	if(ret == 0) {
		printf("hmi lock ok\n");
	}else{
		printf("### ERR: hmi lock fail\n");
		while(1);
	}

    ret = pthread_mutex_init(&mutex_transmit , NULL) ;
    if(ret == 0) {
		printf("transmit lock ok\n");
	}else{
		printf("### ERR: transmit lock fail\n");
		while(1);
	}
}

int ems_104_lock(void) {
	return pthread_mutex_lock(&mutex_ems_104);
}

int ems_104_unlock(void) {
	return pthread_mutex_unlock(&mutex_ems_104);
}

int ems_modbus_lock(void) {
	return pthread_mutex_lock(&mutex_ems_modbus);
}

int ems_modbus_unlock(void) {
	return pthread_mutex_unlock(&mutex_ems_modbus);
}

int ecm_lock(void) {
	pthread_mutex_lock(&mutex_ecm);
	return 1;
}

int ecm_unlock(void) {
	pthread_mutex_unlock(&mutex_ecm);
	return 1;
}


int hmi_lock(void) {
	pthread_mutex_lock(&mutex_hmi);
	return 1;
}

int hmi_unlock(void) {
	pthread_mutex_unlock(&mutex_hmi);
	return 1;
}

int transmit_lock(void)
{
    pthread_mutex_lock(&mutex_transmit) ;
    return 1 ;
}

int transmit_unlock(void)
{
    pthread_mutex_unlock(&mutex_transmit) ;
    return 1 ;
}

